package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ConfeeStoreVo extends BaseTransactionVo {

    private Gidgrp gidgrp;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        /*if (setmod == null) {
            setmod = new SetmodVo();
        }
        setmod.reset();
        if (setgid == null) {
            setgid = new SetgidVo();
        }
        setgid.reset();
        if (trnmod == null) {
            trnmod = new TrnmodVo();
        }
        trnmod.reset();*/
    }
}
